package com.libreecm.commonAPI.model.objects;

import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.libreecm.commonAPI.model.LibreECMObject;


@JsonSerialize(include = JsonSerialize.Inclusion.NON_NULL)
public class PolicyIdList extends LibreECMObject {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3738673809477269352L;

	private List<String> policiesIds;

	public PolicyIdList() {
		
	}
	
	/**
	 * @return the policies Id
	 */
	public List<String> getPoliciesIds() {
		if (policiesIds==null){
			policiesIds=new ArrayList<>();
		}
		return policiesIds;
	}

	/**
	 * @param policies the policies Ids to set
	 */
	public void setPolicies(List<String> policies) {
		this.policiesIds = policies;
	}
	}
